AOZ Studio Beta - Bug #102

Splash screen
02/02/2020 05:34 PM - Truls Osmundsen

Status: Closed Start date: 02/02/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.2

Description

Deactivating the BootScreen makes the aplications screen remain black.
By setting "active" to false, it doesnt show the BootScreen but it makes everything black and nothing happens.

// Loading screen
bootScreen:

{
active: true
waitSounds: true
clickSounds: false

}

The BootScreen should be optional when you have bought the lisence.
| can understand that is should be enabled in the beta-face.

History

#1 - 02/03/2020 02:26 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.4

Fixed. It was actually crashing without the boot screen.

And yes, of course, boot screen won't be for licenced version, and not at the beginning, and at the beginning only of the trial version.
Free version will have it. Hey you got to somehow SHOW that somehow, software represent work an somehow not everything can be free. Can it?

#2 - 02/03/2020 02:33 PM - Anonymous

| think all of us betatesters want to show this logo in a form or another inside the games we make.
But if I make a game | would sell, | would rather show it in the credits then at the beginning.

But | think its a brilliant idea to make it show in the free version, its just like Unity does it. :)
#3 - 03/07/2020 12:27 PM - Baptiste Pillot

- Status changed from Resolved to Closed

Tested with VisualStudioBeta Windows :

get a copy of the manifest-pc.hjson template

set bootScreen's active: false

run a Print "Hello World"
everything displays well
